View Issue Details

IDProjectCategoryView StatusLast Update
0028106LazarusWidgetsetpublic2015-05-18 13:39
ReporterG. CollaAssigned ToZeljan Rikalo 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformLinuxOSCentOsOS Version6.6
Product Version1.4Product Build 
Target Version1.4.2Fixed in Version1.5 (SVN) 
Summary0028106: Qt WS doesn't return proper DC Device Size
DescriptionA call to Bitmap.LoadFromDevice doesn't return the proper widget bitmap, but just a 10x10 meaningless bitmap.
A quick investigation shows that the call to TQtDeviceContext.getDeviceSize returns a 10x10 size.
But if the DC is set to 0 (i.e. full screen) then the call is successful.
This problem doesn't show in GTK2.

Attached a minimal project which shows the problem.

TagsNo tags attached.
Fixed in Revision49081
LazTarget1.4.2
WidgetsetQT
Attached Files

Activities

G. Colla

2015-05-16 17:48

developer  

snapshot.zip (79,659 bytes)

Zeljan Rikalo

2015-05-18 09:51

developer   ~0083741

@Giuliano. For some reason attached project is invalid zip file.
unzip snapshot.zip says:
[linda@houston 28106]$ unzip snapshot.zip
Archive: snapshot.zip
  End-of-central-directory signature not found. Either this file is not
  a zipfile, or it constitutes one disk of a multi-part archive. In the
  latter case the central directory and zipfile comment will be found on
  the last disk(s) of this archive.
unzip: cannot find zipfile directory in one of snapshot.zip or
        snapshot.zip.zip, and cannot find snapshot.zip.ZIP, period.

G. Colla

2015-05-18 10:11

developer   ~0083742

I'll retry with a tar.bz2, I'm more familiar with.

G. Colla

2015-05-18 10:11

developer  

snapshot.tar.bz2 (84,661 bytes)

G. Colla

2015-05-18 10:13

developer   ~0083743

I've checked. The original one was a gzip file, and not a zip file. My mistake!

Zeljan Rikalo

2015-05-18 10:16

developer   ~0083744

Please test and close if ok.

Zeljan Rikalo

2015-05-18 10:16

developer   ~0083745

In the meantime I've renamed it and opened with gunzip after checking header :)

G. Colla

2015-05-18 13:39

developer   ~0083752

It works OK.
Thanks a lot, hvala lijepo,

Giuliano

Issue History

Date Modified Username Field Change
2015-05-16 17:48 G. Colla New Issue
2015-05-16 17:48 G. Colla File Added: snapshot.zip
2015-05-17 19:16 Zeljan Rikalo Assigned To => Zeljan Rikalo
2015-05-17 19:16 Zeljan Rikalo Status new => assigned
2015-05-18 09:51 Zeljan Rikalo Note Added: 0083741
2015-05-18 09:51 Zeljan Rikalo Status assigned => feedback
2015-05-18 10:11 G. Colla Note Added: 0083742
2015-05-18 10:11 G. Colla Status feedback => assigned
2015-05-18 10:11 G. Colla File Added: snapshot.tar.bz2
2015-05-18 10:13 G. Colla Note Added: 0083743
2015-05-18 10:16 Zeljan Rikalo Fixed in Revision => 49081
2015-05-18 10:16 Zeljan Rikalo LazTarget - => 1.4.2
2015-05-18 10:16 Zeljan Rikalo Note Added: 0083744
2015-05-18 10:16 Zeljan Rikalo Status assigned => resolved
2015-05-18 10:16 Zeljan Rikalo Fixed in Version => 1.5 (SVN)
2015-05-18 10:16 Zeljan Rikalo Resolution open => fixed
2015-05-18 10:16 Zeljan Rikalo Target Version => 1.4.2
2015-05-18 10:16 Zeljan Rikalo Note Added: 0083745
2015-05-18 13:39 G. Colla Note Added: 0083752
2015-05-18 13:39 G. Colla Status resolved => closed